package tasuke_anntoeff;

use strict;

sub AnnToEff {
	my $ann = shift(@_);
	my $eff = "";
	if ($ann eq "intergenic_region") {
		$eff = "INTERGENIC";
	}
	if ($ann eq "upstream_gene_variant") {
		$eff = "UPSTREAM";
	}
	if ($ann eq "downstream_gene_variant") {
	        $eff = "DOWNSTREAM";
	}
	if ($ann eq "5_prime_UTR_variant") {
	        $eff = "UTR_5_PRIME";
	}
	if ($ann eq "3_prime_UTR_variant") {
	        $eff = "UTR_3_PRIME";
	}
	if ($ann eq "regulatory_region_variant") {
	        $eff = "REGULATION";
	}
	if ($ann eq "intragenic_variant") {
	        $eff = "INTRAGENIC";
	}
	if ($ann eq "gene_variant") {
	        $eff = "GENE";
	}
	if ($ann eq "conserved_intron_variant") {
	        $eff = "INTRON_CONSERVED";
	}
	if ($ann eq "intron_variant") {
	        $eff = "INTRON";
	}
	if ($ann eq "conserved_intergenic_variant") {
	        $eff = "INTERGENIC_CONSERVED";
	}
	if ($ann eq "start_retained") {
	        $eff = "SYNONYMOUS_START";
	}
	if ($ann eq "initiator_codon_variant") {
	        $eff = "NON_SYNONYMOUS_START";
	}
	if ($ann eq "5_prime_UTR_premature_start_codon_gain_variant") {
	        $eff = "START_GAINED";
	}
	if ($ann eq "synonymous_variant") {
	        $eff = "SYNONYMOUS_CODING";
	}
	if ($ann eq "stop_retained_variant") {
	        $eff = "SYNONYMOUS_STOP";
	}
	if ($ann eq "exon_variant") {
	        $eff = "EXON";
	}
	if ($ann eq "coding_sequence_variant") {
	        $eff = "CDS";
	}
	if ($ann eq "transcript_variant") {
	        $eff = "TRANSCRIPT";
	}
	if ($ann eq "missense_variant") {
	        $eff = "NON_SYNONYMOUS_CODING";
	}
	if ($ann eq "coding_sequence_variant") {
	        $eff = "CODON_CHANGE";
	}
	if ($ann eq "inframe_insertion") {
	        $eff = "CODON_INSERTION";
	}
	if ($ann eq "disruptive_inframe_insertion") {
	        $eff = "CODON_CHANGE_PLUS_CODON_INSERTION";
	}
	if ($ann eq "inframe_deletion") {
	        $eff = "CODON_DELETION";
	}
	if ($ann eq "disruptive_inframe_deletion") {
	        $eff = "CODON_CHANGE_PLUS_CODON_DELETION";
	}
	if ($ann eq "3_prime_UTR_truncation + exon_loss") {
	        $eff = "UTR_5_DELETED";
	}
	if ($ann eq "5_prime_UTR_truncation + exon_loss_variant") {
	        $eff = "UTR_3_DELETED";
	}
	if ($ann eq "splice_acceptor_variant") {
	        $eff = "SPLICE_SITE_ACCEPTOR";
	}
	if ($ann eq "splice_donor_variant") {
	        $eff = "SPLICE_SITE_DONOR";
	}
	if ($ann eq "start_lost") {
	        $eff = "START_LOST";
	}
	if ($ann eq "exon_loss_variant") {
	        $eff = "EXON_DELETED";
	}
	if ($ann eq "frameshift_variant") {
	        $eff = "FRAME_SHIFT";
	}
	if ($ann eq "stop_gained") {
	        $eff = "STOP_GAINED";
	}
	if ($ann eq "stop_lost") {
	        $eff = "STOP_LOST";
	}
	if ($ann eq "rare_amino_acid_variant") {
	        $eff = "RARE_AMINO_ACID";
	}
	return $eff;
}
1;
